This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 988405 - RF-13102: rich:calendar with date pattern- input gets cleared on click
RF-13102: rich:calendar with date pattern- input gets cleared on click
Status: CLOSED UPSTREAM
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: RichFaces (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Brian Leathem
Pavol Pitonak
:
Depends On:
Blocks: 994012
  Show dependency treegraph
 
Reported: 2013-07-25 10:28 EDT by Jonáš Trantina
Modified: 2013-09-11 02:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 994012 (view as bug list)
Environment:
Last Closed: 2013-09-11 02:46:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RF-13102 Major Resolved rich:calendar with date pattern- input gets cleared on click 2013-09-11 02:45:34 EDT

  None (edit)
Description Jonáš Trantina 2013-07-25 10:28:51 EDT
Description of problem:
When a rich:calendar component has datePattern without a day (e.g. MM/yyyy) then selected date is cleared when opening the calendar (you can see today date instead of the previously selected date).
However, when the form is sent, the value is correctly assigned to the binded value.
Example:
<rich:calendar value="#{richBean.date}" datePattern="yyyy-MM"/>



Version-Release number of selected component (if applicable):


How reproducible:
Create a project with the tag from above.

Steps to Reproduce:
1. Open the page with the calendar tag
2. Select some date
3. Click on the input to open up the calendar, the input gets clear, today date is selected

Actual results:
Previously chosen date should be selected in the calendar, the date should stay in the input.

Expected results:
Today date is selected and input is
Comment 1 Jonáš Trantina 2013-07-25 10:43:30 EDT
Mixed up Actual and Expected results, correct version:
Actual results:
Today date is selected and input is cleared.

Expected results:
Previously chosen date should be selected in the calendar, the date should stay in the input.
Comment 2 JBoss JIRA Server 2013-07-30 20:56:26 EDT
Brian Leathem <bleathem@gmail.com> updated the status of jira RF-13102 to Resolved
Comment 3 JBoss JIRA Server 2013-07-30 20:56:26 EDT
Brian Leathem <bleathem@gmail.com> made a comment on jira RF-13102

Defaulted to the first of the month when the date string has no day value
Comment 4 JBoss JIRA Server 2013-08-05 09:46:06 EDT
Pavol Pitonak <ppitonak@redhat.com> updated the status of jira RF-13102 to Closed
Comment 5 JBoss JIRA Server 2013-08-05 09:46:06 EDT
Pavol Pitonak <ppitonak@redhat.com> made a comment on jira RF-13102

Verified that r:calendar behaves as Brian described, i.e. first day of selected month is highlighted.
Comment 6 JBoss JIRA Server 2013-08-23 17:26:17 EDT
Brian Leathem <bleathem@gmail.com> updated the status of jira RF-13102 to Reopened
Comment 7 JBoss JIRA Server 2013-08-23 17:26:25 EDT
Brian Leathem <bleathem@gmail.com> updated the status of jira RF-13102 to Resolved

Note You need to log in before you can comment on or make changes to this bug.